def makelist(security = 10, friendliness = 10):
	import csv
	import math
	from operator import itemgetter

	#Blanks out the output text file
	f = open('E:\Master\Masteroppgave\\output.txt', 'w')
	f.write('')
	f.close()
	
	lis = []

	#Opens and read the CSV file
	with open('E:\Master\Masteroppgave\\authentication_methods.csv') as file:
		reader = csv.DictReader(file)
		
		#Computes the combined score of the authentication methods row for row
		for row in reader:
			if row['type'] == 'secret':
				if float(row['security']) > 65:
					row['security'] = 65
				numeric_score = (((float(row['security']) - 7) * 5) / (65 - 7)) + 1
			
			if row['type'] == 'biometric':
				if float(row['security']) > 0.015:
					row['security'] = 0.015
				numeric_score = 6 - (5/0.015) * math.sqrt(0.015 * float(row['security']))
				
			combined_score = (numeric_score * float(security)) * (float(row['friendliness']) * float(friendliness))
			row["combinedscore"] = int(combined_score)
			lis.append(row)
			
			


	#Sorts and prints the authentication methods
	print('\r')
	sortedlis = sorted(lis, key=itemgetter('combinedscore'),reverse = True)
	for x in sortedlis:
		f = open('E:\Master\Masteroppgave\\output.txt', 'a')
		f.write(str(x) + '\r')
		f.close()
		print(x)


#Presents the user with question of how they want to weigh security and user-friendliness and runs the function based on this input
sec = int(input('How important is security on a scale from 1-10?: '))
friend = int(input('How important is user-friendliness on a scale from 1-10?: '))
while sec < 1 or sec > 10:
	sec = int(input('The number you input for security is not between 1 and 10, please input such a number: '))
while friend < 1 or friend > 10:
	friend = int(input('The number you input for user-friendliness is not between 1 and 10, please input such a number: '))

makelist(sec, friend)


#numeric_score = 6 - (5/1) * float(row['security'])
